Authen::Krb5::AuthContext(3pm)

NAME
Authen::Krb5::AuthContext - Kerberos 5 auth_context object.

VERSION
version 1.906

METHODS

  new()
Allocates memory for a new Authen::Krb5::AuthContext object and returns it.

  "setaddrs(localaddr,remoteaddr)"
Sets the local and remote addresses for the AuthContext object. 'localaddr' and 'remoteaddr' are Authen::Krb5::Address objects, usually of type ADDRTYPE_INET.

  getaddrs()
Returns a list containing the local and the remote address of the AuthContext object.

  setrcache(rc)
Sets the replay cache for auth_context. 'rc' is a Authen::Krb5::Rcache object generated by get_server_rcache.

  getkey()
Retrieves the session key as an Authen::Krb5::KeyBlock object.

AUTHOR
Jeff Horwitz <jeff@smashing.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2000 by Jeff Horwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.